Summary: Emacs based AOL Instant Message Client
Name: tnt
Version: 1.7
Release: 1
Group: Applications/Editors/Emacs
Copyright: MIT style
Source: http://www.aim.aol.com/tnt/%{name}-%{version}.tar.gz
URL: http://www.aim.aol.com/tnt/
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: emacs >= 20.3

%description
TNT is an Emacs client for AIM, AOL's free instant messaging service.
Using TNT, you can, from the comfort of your Emacs window, check whether
friends and coworkers are online, send them "instant messages", and
join them in multi-party private chat sessions.  TNT has a keyboard-driven, text-based interface.

%prep
%setup -n %{name}

%build
cd lisp
emacs -batch --no-site-file --eval '(setq load-path (cons "." load-path))' -f batch-byte-compile *.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/tnt
cp lisp/*.el lisp/*.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/tnt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc README PROTOCOL
/usr/share/emacs/site-lisp/tnt
